%define build_geoip	0

%define url_ver %(echo %{version} | cut -d. -f1,2)

%define api 2.0

Name:		geoclue2
Version:	2.1.8
Release:	3
Summary:	A modular geoinformation service
Group:		Networking/Other
License:	GPLv2+
URL:		http://geoclue.freedesktop.org/
Source0:	http://www.freedesktop.org/software/geoclue/releases/%{url_ver}/geoclue-%{version}.tar.xz
Patch0:		geoclue-2.1.4-pkgconfig-fix.patch
BuildRequires:	intltool
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(mm-glib)
BuildRequires:	pkgconfig(libnm-glib) >= 0.9.8.0
BuildRequires:	pkgconfig(libnm-glib-vpn)
BuildRequires:	pkgconfig(libnotify)

%if %{build_geoip}
BuildRequires:	pkgconfig(geoip) >= 1.5.1
Requires:	geoip >= 1.5.1
Conflicts:	geocode-glib < 0.99.2
%endif

%description
Geoclue is a D-Bus service that provides location information. The
primary goal of the Geoclue project is to make creating location-aware
applications as simple as possible, while the secondary goal is to
ensure that no application can access location information without
explicit permission from user.

Geoclue used to also do (reverse-)geocoding but that functionality has
been dropped in favor of geocode-glib library.

However project is in the early stages of development and hence
lacking essential features. Currently it can only determine your
location based on your IP (i-e city-level accuracy) and does not have
any permission control.

%files
%doc NEWS README
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.conf
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.GeoClue2.Agent.conf
%dir %{_sysconfdir}/geoclue
%{_sysconfdir}/geoclue/geoclue.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.GeoClue2.service
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.Agent.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.GeoClue2.xml
%{_datadir}/applications/geoclue-demo-agent.desktop
%{_datadir}/applications/geoclue-where-am-i.desktop
%{_libexecdir}/geoclue-2.0/
%{_libexecdir}/geoclue
%{_unitdir}/geoclue.service
%if %{build_geoip}
%{_bindir}/geoip-update
%{_bindir}/geoip-lookup
%endif

#--------------------------------------------------------------------

%package devel
Summary:	Development files for geoclue2
Group:		Development/Other
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the development files for geoclue2.

%files devel
%{_datadir}/pkgconfig/geoclue-%{api}.pc

#--------------------------------------------------------------------
%prep
%setup -q -n geoclue-%{version}
%apply_patches

%build
autoreconf -vfi
%configure2_5x \
	--enable-demo-agent \
%if %{build_geoip}
        --enable-geoip-server=yes \
%else
	--enable-geoip-server=no \
%endif
	--disable-static \
	--with-systemdsystemunitdir=%{_unitdir}
%make

%install
%makeinstall_std



%changelog
* Fri Sep 12 2014 Tigro <ashejn@gmail.com> 2.1.8-3
+ Revision: d22a566
- rebuilt against new modemmanager


